Integrations
Get an invocation
Return one of the caller's provider calls with status, safe error code and, once succeeded, its output. Use it to poll queued calls.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Path Parameters
invocation_id*string
Resource identifier: invocation_id.
Format
uuidHeader Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/integrations/invocations/123e4567-e89b-42d3-a456-426614174000"{ "id": "123e4567-e89b-42d3-a456-426614174000", "connection_id": "example", "provider_key": "klaviyo", "operation_key": "spaces.get", "source": "example", "effect": "example", "execution_mode": "example", "status": "ACTIVE", "safe_error_code": "example", "safe_summary": {}, "item_count": 0, "byte_count": 0, "retry_count": 0, "actor": { "id": "123e4567-e89b-42d3-a456-426614174000", "email": "ada@example.com", "name": "Customer documents", "image_url": "example" }, "space_id": "example", "consumer_kind": "example", "consumer_id": "example", "change_set_id": "example", "created_at": "example", "completed_at": "example", "output": {}}